#
# spec file for package perl-Devel-BeginLift (Version 0.001003)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Devel-BeginLift
Version:        0.001003
Release:        1.1
License:        GPL+ or Artistic
%define cpan_name Devel-BeginLift
Summary:        make selected sub calls evaluate at compile time
Url:            http://search.cpan.org/dist/Devel-BeginLift/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/F/FL/FLORA/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(B::Hooks::OP::Check::EntersubForCV) >= 0.03
BuildRequires:  perl(ExtUtils::Depends)
Requires:       perl(B::Hooks::OP::Check::EntersubForCV) >= 0.03
%{perl_requires}

%description
Devel::BeginLift 'lifts' arbitrary sub calls to running at compile time -
sort of a souped up version of "use constant". It does this via some
slightly insane perlguts magic.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue May  3 2011 coolo@opensuse.org
- initial package 0.001003
  * created by cpanspec 1.78.04
